%define rbname libburn
%define version 0.1.0
%define release %mkrel 3

Summary: An interface to Libburn for Ruby
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: GPL
URL: http://ruby-libburn.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/367/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel 
BuildRequires: libburn-devel 

%description
Ruby/Libburn provides a Ruby access to libburn, an open-source library for
reading, mastering and writing optical discs.

Libburn is part of the Free Desktop Project.

%prep
%setup -q

%build
ruby extconf.rb
make

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README doc
%{ruby_sitearchdir}/libburn.so


%changelog
* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1.0-3mdv2007.0
+ Revision: 105045
- mkrel
- use global ruby macros
- Import ruby-libburn



* Thu May 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.0-2mdk
- Rebuild with the ruby fixed for x86_64

* Wed Aug 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.1.0-1mdk
- First version of the package 
